using UnityEngine;


public class PlayerBallControlHandler : MonoBehaviour
{
    [Header("Player Ball Control Handler properties")]
    [Tooltip("The force applied to the ball when player presses a key")]
    public float _inputForce = 10.0f;


    private Rigidbody _rigidBody;
    private Transform _cameraTransform;


    private void Start()
    {
        _rigidBody = GetComponent<Rigidbody>();
        GameObject cameraGameObject = GameObject.FindWithTag("MainCamera");
        _cameraTransform = cameraGameObject.transform;
    }


    private void Update()
    {
        if (Input.GetKey(KeyCode.W))
            _rigidBody.AddForce(transform.forward * _inputForce * _rigidBody.mass, ForceMode.Force);
        else if (Input.GetKey(KeyCode.S))
            _rigidBody.AddForce(-transform.forward * _inputForce * _rigidBody.mass, ForceMode.Force);
        else if (Input.GetKey(KeyCode.D))
            _rigidBody.AddForce(transform.right * _inputForce * _rigidBody.mass, ForceMode.Force);
        else if (Input.GetKey(KeyCode.A))
            _rigidBody.AddForce(-transform.right * _inputForce * _rigidBody.mass, ForceMode.Force);
    }


    private void LateUpdate()
    {
        _cameraTransform.LookAt(transform.position);
    }


}
